PipeWire: Profiler

PipeWire 1.4.0 |

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Profiler
Extensions

Profiler interface. More...

## Files
file | profiler.h
| `pipewire/extensions/profiler.h`

## Data Structures
struct | pw_profiler_events
| Profiler events More...
struct | pw_profiler_methods
| Profiler methods More...
struct | pw_profiler

## Macros
#define | PW_TYPE_INTERFACE_Profiler PW_TYPE_INFO_INTERFACE_BASE "Profiler"
#define | PW_VERSION_PROFILER 3
#define | PW_API_PROFILER static inline
#define | PW_EXTENSION_MODULE_PROFILER PIPEWIRE_MODULE_PREFIX "module-profiler"
#define | PW_PROFILER_PERM_MASK PW_PERM_R
#define | PW_PROFILER_EVENT_PROFILE 0
#define | PW_PROFILER_EVENT_NUM 1
#define | PW_VERSION_PROFILER_EVENTS 0
#define | PW_PROFILER_METHOD_ADD_LISTENER 0
#define | PW_PROFILER_METHOD_NUM 1
#define | PW_VERSION_PROFILER_METHODS 0
#define | PW_KEY_PROFILER_NAME "profiler.name"

## Functions
PW_API_PROFILER int | pw_profiler_add_listener (struct pw_profiler *object, struct spa_hook *listener, const struct pw_profiler_events *events, void *data)

## Detailed Description

Profiler interface.

## Macro Definition Documentation

## ◆ PW_TYPE_INTERFACE_Profiler

#define PW_TYPE_INTERFACE_Profiler PW_TYPE_INFO_INTERFACE_BASE "Profiler"

## ◆ PW_VERSION_PROFILER

#define PW_VERSION_PROFILER 3

## ◆ PW_API_PROFILER

#define PW_API_PROFILER static inline

## ◆ PW_EXTENSION_MODULE_PROFILER

#define PW_EXTENSION_MODULE_PROFILER PIPEWIRE_MODULE_PREFIX "module-profiler"

## ◆ PW_PROFILER_PERM_MASK

#define PW_PROFILER_PERM_MASK PW_PERM_R

## ◆ PW_PROFILER_EVENT_PROFILE

#define PW_PROFILER_EVENT_PROFILE 0

## ◆ PW_PROFILER_EVENT_NUM

#define PW_PROFILER_EVENT_NUM 1

## ◆ PW_VERSION_PROFILER_EVENTS

#define PW_VERSION_PROFILER_EVENTS 0

## ◆ PW_PROFILER_METHOD_ADD_LISTENER

#define PW_PROFILER_METHOD_ADD_LISTENER 0

## ◆ PW_PROFILER_METHOD_NUM

#define PW_PROFILER_METHOD_NUM 1

## ◆ PW_VERSION_PROFILER_METHODS

#define PW_VERSION_PROFILER_METHODS 0

## ◆ PW_KEY_PROFILER_NAME

#define PW_KEY_PROFILER_NAME "profiler.name"

## Function Documentation

## ◆ pw_profiler_add_listener()

PW_API_PROFILER int pw_profiler_add_listener | ( | struct pw_profiler * | object,
|  | struct spa_hook * | listener,
|  | const struct pw_profiler_events * | events,
|  | void * | data )

See also
  pw_profiler_methods.add_listener